package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Application list
 */
@ApiModel(description = "Application list")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class ApplicationEntity   {
  @JsonProperty("applicationName")
  private String applicationName;

  @JsonProperty("applicationId")
  private Integer applicationId;

  @JsonProperty("description")
  private String description;

  @JsonProperty("family")
  private String family;

  public ApplicationEntity applicationName(String applicationName) {
    this.applicationName = applicationName;
    return this;
  }

  /**
   * Application name
   * @return applicationName
  */
  @ApiModelProperty(value = "Application name")


  public String getApplicationName() {
    return applicationName;
  }

  public void setApplicationName(String applicationName) {
    this.applicationName = applicationName;
  }

  public ApplicationEntity applicationId(Integer applicationId) {
    this.applicationId = applicationId;
    return this;
  }

  /**
   * Application ID
   * @return applicationId
  */
  @ApiModelProperty(value = "Application ID")


  public Integer getApplicationId() {
    return applicationId;
  }

  public void setApplicationId(Integer applicationId) {
    this.applicationId = applicationId;
  }

  public ApplicationEntity description(String description) {
    this.description = description;
    return this;
  }

  /**
   * Description of application
   * @return description
  */
  @ApiModelProperty(value = "Description of application")


  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public ApplicationEntity family(String family) {
    this.family = family;
    return this;
  }

  /**
   * Family of application
   * @return family
  */
  @ApiModelProperty(value = "Family of application")


  public String getFamily() {
    return family;
  }

  public void setFamily(String family) {
    this.family = family;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ApplicationEntity applicationEntity = (ApplicationEntity) o;
    return Objects.equals(this.applicationName, applicationEntity.applicationName) &&
        Objects.equals(this.applicationId, applicationEntity.applicationId) &&
        Objects.equals(this.description, applicationEntity.description) &&
        Objects.equals(this.family, applicationEntity.family);
  }

  @Override
  public int hashCode() {
    return Objects.hash(applicationName, applicationId, description, family);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ApplicationEntity {\n");
    
    sb.append("    applicationName: ").append(toIndentedString(applicationName)).append("\n");
    sb.append("    applicationId: ").append(toIndentedString(applicationId)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("    family: ").append(toIndentedString(family)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

